<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    error_reporting(0);
?>
<div class="wrap voodoo_wrap">
    <div class="v_top_section">
        <div class="vsms-logo">
            <img src="<?=esc_url(plugins_url( '../assets/images/logo.png', __FILE__ )) ; ?>" alt="VSMS LOGO"/>
        </div>
        <?php if (get_credits() != '') { ?>
            <div class="left">
                <h3 style="color: #009530; margin: 8px 0;   "><?php _e('You are connected with','voodoosms') ; ?> <strong><?php _e('VoodooSMS','voodoosms') ?></strong></h3>
                <h4><strong><?php _e('You have','voodoosms') ?> <span style="color: #000000;"><?=number_format((float)get_credits(), 0, '.', ''); ?></span> Credits , <a href='<?=esc_url('https://www.voodoosms.com/portal/account/addcredit') ; ?>' target='_blank'><?php _e('click here','voodoosms') ?></a> <?php _e('to add more credits.','voodoosms') ?></span></strong> </h4>
                <h4 class="nofloat"><?php _e('To view instruction how to configure this  module click','voodoosms')  ?> <a href="<?=esc_url('http://www.voodoosms.com/portal') ; ?>" target="_blank"><u>here</u></a></h4>
                <h4 class="nofloat"><?php _e('For queries, please feel free to contact us at','voodoosms') ?> <a href="<?=esc_url('mailto:extensions@voodoosms.com') ; ?>" target="_blank"><u><?php echo esc_url('extensions@voodoosms.com') ?></u></a></h4>
            </div>
            <div class="clear"></div>
        <?php } else { ?>
            <br/>
            <div class="left">
                <?php
                if(get_option( 'wp_voodoo_username' )!='' && get_option( 'wp_voodoo_password' )!='' ){
                ?>
                <h4 class="nofloat red"><?php _e('Api details you have provided are not correct.','voodoosms');?></h4>
                <?php
                }
                ?>
                <h4 class="nofloat red"><?php _e("Don't have API username password Yet?",'voodoosms') ?> <a href="<?=esc_url('https://www.voodoosms.com/register.html') ; ?>"
                                                                                 target="_blank"><u><?php _e('Register here','voodoosms') ; ?></u>.</a>
                </h4>
                <h4 class="nofloat red"><?php _e('To view instruction how to configure this  module click','voodoosms') ?> <a href="<?=esc_url('http://www.voodoosms.com/portal') ; ?>" target="_blank"><u><?php _e('here','voodoosms'); ?></u></a></h4>
                <h4 class="nofloat red"><?php _e('Query? Feel free to contact the team by clicking','voodoosms') ?> <a href="<?=esc_url('https://www.voodoosms.com/contact-us.html') ; ?>" target="_blank"><u><?php _e('here','voodoosms'); ?></u></a></h4>
            </div>
        <?php
        }
        $config_details = get_option('wp_voodoo_config');
        ?>
        <div class="clear"></div>
    </div>
    <div class="v-nav">
        <ul>
            <li class="active"><a href="#v-basic"><?php _e('Basic Configuration','voodoosms'); ?></a></li>
            <li><a href="#v-admin"><?php  _e('Admin Configuration','voodoosms'); ?></a></li>
            <li><a href="#v-customer"><?php  _e('Customer Configuration','voodoosms'); ?></a></li>
            <li><a href="#v-new-customer"><?php  _e('Notification on New Sign Up','voodoosms'); ?></a></li>
        </ul>
        <div class="clear"></div>
    </div>
    <div class="clear"></div>
    <div class="form-section">
        <form method="post" action="<?= admin_url('admin-post.php'); ?>" name="form" id="voodoo_form">

            <?php wp_nonce_field('update-options'); ?>

                <?php if (isset($_GET['error'])) {
                    echo '<div class="errors-box">'.str_replace('_',' ',$_GET['error']).'</div>';
                } ?>
            <section id="v-basic" class="v-section-nav">
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <h3><?php _e('API Details','voodoosms') ?></h3>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('VoodooSMS API Username*:','voodoosms'); ?></td>
                        <td>
                            <input type="text" dir="ltr" name="wp_voodoo_username" class="validate[required]"
                                   value="<?php echo esc_sql(get_option('wp_voodoo_username')); ?>" placeholder=""/>
                        </td>
                    </tr>

                    <tr>
                        <td><?php _e('VoodooSMS API Password*:','voodoosms'); ?></td>
                        <td>
                            <input type="password" dir="ltr" name="wp_voodoo_password" class="validate[required]"
                                   value="<?php echo esc_sql(get_option('wp_voodoo_password')); ?>"/>
                        </td>
                    </tr>
                </table>
            </section>
            <section id="v-admin" class="v-section-nav" style="display: none;">
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <h3><?php _e('Admin Configuration','voodoosms') ?></h3>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Enable Admin Notification?','voodoosms') ?></td>
                        <td>
                            <input type="checkbox" name="wp_voodoo_config[notify_admin]" id="admin_notify"
                                   value="1" <?= (($config_details['notify_admin'] != '') ? 'checked' : ''); ?>/>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Sender ID:','voodoosms'); ?></td>
                        <td>
                            <input type="text" name="wp_voodoo_config[sender_id_admin]" maxlength="11" id="sender_id_admin"
                                   value="<?=$config_details['sender_id_admin']; ; ?>" class="validate[maxSize[11],custom[alphanumeric]]" />
                            <p class="sender-counter-admin">Max 11 alphanumeric characters (Default: VoodooSMS)</p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Admin Mobile(s)*:','voodoosms'); ?></td>
                        <td>
                            <textarea cols="30" rows="2" name="wp_voodoo_config[admin_mobile]" class="validate[condRequired[admin_notify],funcCall[checkUkMobile]]"  id="voodoo_admin_mobile"><?= esc_textarea($config_details['admin_mobile']); ?></textarea>
                            <p><?php _e('Admin Mobile(s): Enter as many number as you like here, comma separated if multiple e.g. 07700900000,07700900001','voodoosms'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Message for Admin*:','voodoosms'); ?></td>
                        <td>
                            <textarea name="wp_voodoo_config[admin_message]" class="validate[condRequired[admin_notify],maxSize[918]] left" id="admin_message" cols="30" maxlength="918" class="required"
                                      rows="3"><?= ((esc_textarea($config_details['admin_message']) != '') ? esc_textarea($config_details['admin_message']) : 'You have a new Order The [order_id] is now [order_status]'); ?></textarea>
                            <p class="text-counter-admin"></p>
                            <div class="clear"></div>
                            <span class="description">  <?php _e('Type your custom message, available parameters:','voodoosms')?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','voodoosms'); ?></code></span>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Notify on Order Status Update:','voodoosms'); ?></td>
                        <td>
                            <input type="checkbox" value="on-hold"
                                   name="wp_voodoo_config[order_status][admin][on-hold]" <?= ((isset($config_details['order_status']['admin']['on-hold'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][on-hold]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][on-hold]"> <?php _e('On Hold','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="pending"
                                   name="wp_voodoo_config[order_status][admin][pending]" <?= ((isset($config_details['order_status']['admin']['pending'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][pending]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][pending]"> <?php _e('Pending','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="processing"
                                   name="wp_voodoo_config[order_status][admin][processing]" <?= ((isset($config_details['order_status']['admin']['processing'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][processing]" class="checkbox ">
                            <label for="wp_voodoo_config[order_status][admin][processing]"> <?php _e('Processing (New Order)','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="completed"
                                   name="wp_voodoo_config[order_status][admin][completed]" <?= ((isset($config_details['order_status']['admin']['completed'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][completed]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][completed]"> <?php _e('Completed','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="cancelled"
                                   name="wp_voodoo_config[order_status][admin][cancelled]" <?= ((isset($config_details['order_status']['admin']['cancelled'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][cancelled]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][cancelled]"> <?php _e('Cancelled','voodoosms');?></label>
                            <br>
                            <input type="checkbox" value="refunded"
                                   name="wp_voodoo_config[order_status][admin][refunded]" <?= ((isset($config_details['order_status']['admin']['refunded'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][refunded]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][refunded]"> <?php _e('Refunded','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="failed"
                                   name="wp_voodoo_config[order_status][admin][failed]" <?= ((isset($config_details['order_status']['admin']['failed'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][admin][failed]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][admin][failed]"> <?php _e('Failed','voodoosms'); ?></label>
                            <br>
                        </td>
                    </tr>
                </table>
            </section>
            <section id="v-customer" class="v-section-nav" style="display: none;">
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <h3><?php _e('Customer Configuration','voodoosms'); ?></h3>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Enable Customer Notification?','voodoosms') ?></td>
                        <td>
                            <input type="checkbox" name="wp_voodoo_config[notify_customer]" id="customer_notify"
                                   value="1" <?= (($config_details['notify_customer'] != '') ? 'checked' : ''); ?>/>
                        </td>
                    </tr>
                    <tr>
                        <td>Sender ID:</td>
                        <td>
                            <input type="text" name="wp_voodoo_config[sender_id_customer]" maxlength="11" id="sender_id_customer" class="validate[maxSize[11],custom[alphanumeric]]"
                                   value="<?=$config_details['sender_id_customer']; ?>" />
                            <p class="sender-counter-customer"><?php _e('Max 11 alphanumeric characters (Default: VoodooSMS)','voodoosms'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Message for Customer*:','voodoosms'); ?></td>
                        <td>
                            <textarea name="wp_voodoo_config[customer_message]" id="customer_message" cols="30" maxlength="918" class="validate[condRequired[customer_notify],maxSize[918]] left"
                                      rows="3"><?= ((esc_textarea($config_details['customer_message']) != '') ? esc_textarea($config_details['customer_message']) : 'Thanks for purchasing Your [order_id] is now [order_status] Thank you'); ?></textarea>
                            <p class="text-counter-customer"></p>
                            <div class="clear"></div>
                            <span class="description">  <?php _e('Type your custom message, available parameters:','voodoosms'); ?> <code><?php _e('[billing_first_name],[billing_last_name],[order_id], [order_status], [order_date], [payment_method], [payment_total],[product_id],[product_name],[product_qty]','voodoosms'); ?></code></span>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Notify on Order Status Update:','voodoosms'); ?></td>
                        <td>
                            <input type="checkbox" value="on-hold"
                                   name="wp_voodoo_config[order_status][customer][on-hold]" <?= ((isset($config_details['order_status']['customer']['on-hold'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][on-hold]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][on-hold]"> <?php _e('On Hold','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="pending"
                                   name="wp_voodoo_config[order_status][customer][pending]" <?= ((isset($config_details['order_status']['customer']['pending'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][pending]" class="checkbox]">
                            <label for="wp_voodoo_config[order_status][customer][pending]"> <?php _e('Pending','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="processing"
                                   name="wp_voodoo_config[order_status][customer][processing]" <?= ((isset($config_details['order_status']['customer']['processing'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][processing]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][processing]"> <?php _e('Processing (New Order)','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="completed"
                                   name="wp_voodoo_config[order_status][customer][completed]" <?= ((isset($config_details['order_status']['customer']['completed'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][completed]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][completed]"> <?php _e('Completed','voodoosms') ?></label>
                            <br>
                            <input type="checkbox" value="cancelled"
                                   name="wp_voodoo_config[order_status][customer][cancelled]" <?= ((isset($config_details['order_status']['customer']['cancelled'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][cancelled]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][cancelled]"> <?php _e('Cancelled','voodoosms') ?></label>
                            <br>
                            <input type="checkbox" value="refunded"
                                   name="wp_voodoo_config[order_status][customer][refunded]" <?= ((isset($config_details['order_status']['customer']['refunded'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][refunded]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][refunded]"> <?php _e('Refunded','voodoosms'); ?></label>
                            <br>
                            <input type="checkbox" value="failed"
                                   name="wp_voodoo_config[order_status][customer][failed]" <?= ((isset($config_details['order_status']['customer']['failed'])) ? 'checked' : ''); ?>
                                   id="wp_voodoo_config[order_status][customer][failed]" class="checkbox">
                            <label for="wp_voodoo_config[order_status][customer][failed]"> <?php _e('Failed','voodoosms'); ?></label>
                            <br>
                        </td>
                    </tr>
                </table>
            </section>
            <section id="v-new-customer" class="v-section-nav" style="display: none;">
                <table class="form-table">
                    <tr>
                        <td colspan="2">
                            <h3><?php _e('Notification on New Sign Up','voodoosms'); ?></h3>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Enable Customer Notification?','voodoosms'); ?></td>
                        <td>
                            <input type="checkbox" name="wp_voodoo_config[notify_new_customer]" id="notify_new_customer"
                                   value="1" <?= (($config_details['notify_new_customer'] != '') ? 'checked' : ''); ?>/>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Sender ID:','voodoosms'); ?></td>
                        <td>
                            <input type="text" name="wp_voodoo_config[sender_id_new_customer]" maxlength="11" id="sender_id_new_customer" class="validate[maxSize[11],custom[alphanumeric]]"
                                   value="<?=$config_details['sender_id_new_customer']; ?>" />
                            <p class="sender-counter-new-customer"><?php _e('Max 11 alphanumeric characters (Default: VoodooSMS)','voodoosms'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Message for Customer*:','voodoosms'); ?></td>
                        <td>
                            <textarea name="wp_voodoo_config[new_customer_message]" id="new_customer_message" cols="30" maxlength="918" class="validate[condRequired[notify_new_customer],maxSize[918]] left"
                                      rows="3"><?= ((esc_textarea($config_details['new_customer_message']) != '') ? esc_textarea($config_details['new_customer_message']) : 'Thanks for purchasing Your [order_id] is now [order_status] Thank you'); ?></textarea>
                            <p class="text-counter-new-customer"></p>
                            <div class="clear"></div>
                            <span class="description">  <?php _e('Type your custom message, available parameters:','voodoosms') ?> <code><?php _e('[ID],[first_name],[last_name],[username],[email_address],[registered_date]','voodoosms'); ?></code></span>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <hr/>
                            </td>
                    </tr>
                    <tr>
                        <td><?php _e('Enable Admin Notification?','voodoosms'); ?></td>
                        <td>
                            <input type="checkbox" name="wp_voodoo_config[notify_new_customer_admin]" id="notify_new_customer_admin"
                                   value="1" <?= (($config_details['notify_new_customer_admin'] != '') ? 'checked' : ''); ?>/>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Sender ID:','voodoosms'); ?></td>
                        <td>
                            <input type="text" name="wp_voodoo_config[sender_id_new_customer_admin]" maxlength="11" id="sender_id_new_customer_admin" class="validate[maxSize[11],custom[alphanumeric]]"
                                   value="<?=$config_details['sender_id_new_customer_admin']; ?>" />
                            <p class="sender_id_new_customer_admin"><?php _e('Max 11 alphanumeric characters (Default: VoodooSMS)','voodoosms'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Admin Mobile(s)*:','voodoosms'); ?></td>
                        <td>
                            <textarea cols="30" rows="2" name="wp_voodoo_config[voodoo_new_customer_admin_mobile]" class="validate[condRequired[notify_new_customer_admin],funcCall[checkUkMobile]]"  id="voodoo_new_customer_admin_mobile"><?= esc_textarea($config_details['voodoo_new_customer_admin_mobile']); ?></textarea>
                            <p><?php _e('Admin Mobile(s): Enter as many number as you like here, comma separated if multiple e.g. 07700900000,07700900001','voodoosms'); ?></p>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e('Message for Admin*:','voodoosms'); ?></td>
                        <td>
                            <textarea name="wp_voodoo_config[new_customer_admin_message]" id="new_customer_admin_message" cols="30" maxlength="918" class="validate[condRequired[notify_new_customer_admin],maxSize[918]] left"
                                      rows="3"><?= ((esc_textarea($config_details['new_customer_admin_message']) != '') ? esc_textarea($config_details['new_customer_admin_message']) : 'Thanks for purchasing Your [order_id] is now [order_status] Thank you'); ?></textarea>
                            <p class="text-counter-new-customer-admin"></p>
                            <div class="clear"></div>
                            <span class="description">  <?php _e('Type your custom message, available parameters:','voodoosms') ?> <code><?php _e('[ID],[first_name],[last_name],[username],[email_address],[registered_date]','voodoosms'); ?></code></span>
                        </td>
                    </tr>
                </table>
            </section>
        <table class="form-table">
            <tr>
                <td colspan="2">
                    <p class="submit">
                        <input type="hidden" name="action" value="<?php _e('add_voodoo','voodoosms'); ?>"/>
                        <input type="submit" class="button-primary" name="Submit" id="voodoo_save_settings" value="<?php _e('Save Settings','voodoosms'); ?>"/>
                    </p>
                </td>
            </tr>
        </table>
        </form>
    </div>
</div>
<?php
}
?>