<?php
/*
Plugin Name: Voodoo SMS – Notify Customers & Admin by Text Message
Plugin URI: http://www.voodoosms.com
Version: 2.0.2
Description: This extension will integrate SMS features into your WooCommerce store for free. When an order is placed, completed or status changed you can confirm with your customer and/or store admin via a text message sent directly to their mobile phone.
Author: VoodooSMS
Tested up to: 3.9.1
Author URI: http://www.voodoosms.com
Text Domain: voodoosms
*/

if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    error_reporting(E_ALL);
    if ( in_array( 'woocommerce_voodoosms/voodoosms.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
        if ( 'impossible_default_value_1234' === get_option( 'wp_voodoo_username', 'impossible_default_value_1234' ) ) {
            add_option('wp_voodoo_username','');
            add_option('wp_voodoo_password','');
            add_option('wp_voodoo_config','');
        }
    }
    error_reporting(0);
    /*Load Default methods*/
    add_action( 'admin_enqueue_scripts','load_assets');
    add_action('admin_post_add_voodoo', 'add_username_pass');
    add_action('admin_menu', 'VoodooSMS_setup_menu');
    function VoodooSMS_setup_menu(){
        add_menu_page( 'VoodooSMS Plug-in', 'VoodooSMS', 'manage_options', 'woocommerce_voodoosms', 'woocommerce_voodoosms_init' ,'dashicons-email-alt' );
    }
    /*Get Credits*/
    function get_credits(){
        $url = 'http://www.voodoosms.com/vapi/server/getCredit?uid='.get_option( 'wp_voodoo_username' ).'&pass='.get_option( 'wp_voodoo_password' );
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $xml = curl_exec($ch);
        curl_close($ch);
        $obj_detail = new SimpleXMLElement($xml);
        if($obj_detail->result=='200 OK'){
            return $obj_detail->credit;
        }else{
            return '';
        }
    }
    function load_assets(){
        wp_enqueue_style( 'voodoosms-style', plugins_url( 'assets/css/style.css', __FILE__ ), false, date( 'Ymd' ) );
        wp_enqueue_style( 'voodoosms-style-validation', plugins_url( 'assets/css/validationEngine.jquery.css', __FILE__ ), false, date( 'Ymd' ) );
        wp_enqueue_script( 'voodoosms-script', plugins_url( 'assets/js/script.js', __FILE__ ), array( 'jquery' ), false, true );
        wp_enqueue_script( 'voodoosms-script-validation', plugins_url( 'assets/js/jquery.validationEngine.js', __FILE__ ), array( 'jquery' ), false, true );
        wp_enqueue_script( 'voodoosms-script-validation-language', plugins_url( 'assets/js/jquery.validationEngine-en.js', __FILE__ ), array( 'jquery' ), false, true );
    }
    function add_username_pass() {
        if($_POST['wp_voodoo_username']!=''&& $_POST['wp_voodoo_password']!=''){
            $wp_voodoo_config = $_POST['wp_voodoo_config'];
            $wp_voodoo_config['admin_message']      = substr(sanitize_text_field($wp_voodoo_config['admin_message']),0,918);
            $wp_voodoo_config['customer_message']   = substr(sanitize_text_field($wp_voodoo_config['customer_message']),0,918);
            $wp_voodoo_config['sender_id_admin']    = substr(sanitize_text_field($wp_voodoo_config['sender_id_admin']),0,11);
            $wp_voodoo_config['sender_id_customer'] = substr(sanitize_text_field($wp_voodoo_config['sender_id_customer']),0,11);
            /*/////*/
            $wp_voodoo_config['new_customer_message']           = substr(sanitize_text_field($wp_voodoo_config['new_customer_message']),0,918);
            $wp_voodoo_config['new_customer_admin_message']     = substr(sanitize_text_field($wp_voodoo_config['new_customer_admin_message']),0,918);
            $wp_voodoo_config['sender_id_new_customer']         = substr(sanitize_text_field($wp_voodoo_config['sender_id_new_customer']),0,11);
            $wp_voodoo_config['sender_id_new_customer_admin']   = substr(sanitize_text_field($wp_voodoo_config['sender_id_new_customer_admin']),0,11);
            /*////*/
            $wp_voodoo_config['notify_admin']               = ((intval($wp_voodoo_config['notify_admin']))?$wp_voodoo_config['notify_admin']:'');
            $wp_voodoo_config['notify_customer']            = ((intval($wp_voodoo_config['notify_customer']))?$wp_voodoo_config['notify_customer']:'');
            $wp_voodoo_config['notify_new_customer']        = ((intval($wp_voodoo_config['notify_new_customer']))?$wp_voodoo_config['notify_new_customer']:'');
            $wp_voodoo_config['notify_new_customer_admin']  = ((intval($wp_voodoo_config['notify_new_customer_admin']))?$wp_voodoo_config['notify_new_customer_admin']:'');
            /*//////*/
            preg_match('/^(?![0-9\s]*$)[a-zA-Z0-9\s]+$/',$wp_voodoo_config['sender_id_admin'],$admin_sender_id);
            preg_match('/^(?![0-9\s]*$)[a-zA-Z0-9\s]+$/',$wp_voodoo_config['sender_id_customer'],$customer_sender_id);
            if((!empty($admin_sender_id) || $wp_voodoo_config['sender_id_admin']=='') && (!empty($customer_sender_id ) || $wp_voodoo_config['sender_id_customer']=='')){
                $wp_voodoo_config['admin_mobile']                       = validate_mobile_numbers($wp_voodoo_config['admin_mobile']);
                $wp_voodoo_config['voodoo_new_customer_admin_mobile']   = validate_mobile_numbers($wp_voodoo_config['voodoo_new_customer_admin_mobile']);
                update_option('wp_voodoo_username',sanitize_text_field($_POST['wp_voodoo_username']));
                update_option('wp_voodoo_password',sanitize_text_field($_POST['wp_voodoo_password']));
                update_option('wp_voodoo_config',$wp_voodoo_config);
                wp_redirect('admin.php?page=woocommerce_voodoosms');
            }else{
                $error_message = 'Alphanumeric_value_are_allowed_with_sender_id';
                add_settings_error('general', 'settings_updated', $error_message, 'error');
                wp_redirect('admin.php?page=woocommerce_voodoosms&error='.$error_message);
            }
        }else{
            $error_message = 'Please_enter_username_and_password';
            add_settings_error('general', 'settings_updated', $error_message, 'error');
            wp_redirect('admin.php?page=woocommerce_voodoosms&error='.$error_message);
        }
    }
    function validate_mobile_numbers($admin_numbers){
        $number = '';
        $admin_numbers_arr = explode(',',$admin_numbers);
        foreach ($admin_numbers_arr as $key => $val) {
            if($val !='' && intval($val)){
                preg_match('/^(07)[\d]{9}$/',$val,$match);
                if($match[0]!=''){
                    $number .= $match[0].',';
                }
            }
        }
        return trim($number,',');
    }
    function woocommerce_voodoosms_init(){
        if(get_option( 'wp_voodoo_username' )!='' && get_option( 'wp_voodoo_password' )!=''){
            $config = array();
            $config['username'] = get_option( 'wp_voodoo_username' );
            $config['password'] = get_option( 'wp_voodoo_password' );
        }
        include_once dirname( __FILE__ ) . "/template/settings.php";
    }
}
/*/////////*/
include_once dirname( __FILE__ ) . "/vsms_config.php";
?>