<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

    class Vsms_config extends WC_Order{
        /**
         * Constructor
         */
        function __construct() {
            // Triggers for this
            add_action( 'woocommerce_order_status_changed', array( $this, 'trigger' ));
            add_action('woocommerce_created_customer', array( $this, 'trigger_new_customer' ));
            // Call parent constructor
            parent::__construct();
        }
        /**
         * Trigger.
         */
        function trigger($order_id) {
            if(get_credits() > 0){
                $order = wc_get_order( $order_id );
                $products = $order->get_items();
                $product_id = '';
                $product_name = '';
                $product_qty = '';
                foreach ($products as $key => $products) {
                    $product_id .= $products['product_id'].',';
                    $product_name .= $products['name'].',';
                    $product_qty .= $products['qty'].',';
                }
                $voodoo_config = get_option('wp_voodoo_config');
                if($voodoo_config['order_status']['customer'][$order->get_status()]){
                    /*Send to Costumer*/
                    if ($voodoo_config['notify_customer'] == '1' && intval($voodoo_config['notify_customer'])) {
                        $costumer_template = str_replace(array('[billing_first_name]','[billing_last_name]','[order_id]', '[order_status]', '[order_date]', '[payment_method]', '[payment_total]', '[product_id]', '[product_name]', '[product_qty]'), array($order->billing_first_name,$order->billing_last_name,$order->id, str_replace('wc-', '', $order->post_status), $order->order_date, $order->payment_method_title, $order->get_formatted_order_total(), trim($product_id, ','), trim($product_name, ','), trim($product_qty, ',')), $voodoo_config['customer_message']);
                        $to_costumer = array();
                        $to_costumer['type'] = 'customer';
                        $to_costumer['to'] = $order->billing_phone;
                        $to_costumer['message'] = $costumer_template;
                        $this->sendVsms($to_costumer);
                    }
                }
                if($voodoo_config['order_status']['admin'][$order->get_status()]){
                    /*Send to Admin*/
                    if ($voodoo_config['notify_admin'] == '1' && intval($voodoo_config['notify_admin'])) {
                        $admin_template = str_replace(array('[billing_first_name]','[billing_last_name]','[order_id]', '[order_status]', '[order_date]', '[payment_method]', '[payment_total]', '[product_id]', '[product_name]', '[product_qty]'), array($order->billing_first_name,$order->billing_last_name,$order->id, str_replace('wc-', '', $order->post_status), $order->order_date, $order->payment_method_title, $order->get_formatted_order_total(), trim($product_id, ','), trim($product_name, ','), trim($product_qty, ',')), $voodoo_config['admin_message']);
                        $to_admin = array();
                        $to_admin['type'] = 'admin';
                        $to_admin['to'] = $voodoo_config['admin_mobile'];
                        $to_admin['message'] = $admin_template;
                        $this->sendVsms($to_admin);
                    }
                }
            }
        }
        function trigger_new_customer($user_id){
            if(get_credits() > 0){
                $user = new WP_User($user_id);
                /*$customer = new WC_Customer($user_id);*/
                /*Send to Admin*/
                $voodoo_config = get_option('wp_voodoo_config');
                if ($voodoo_config['notify_new_customer_admin'] == '1' && intval($voodoo_config['notify_new_customer_admin'])) {
                    $admin_template = str_replace(array('[ID]','[first_name]','[last_name]','[username]','[email_address]','[registered_date]'), array($user->ID,$_REQUEST['billing_first_name'],$_REQUEST['billing_last_name'],$user->user_login,$user->user_email,$user->user_registered), $voodoo_config['new_customer_admin_message']);
                    $to_admin = array();
                    $to_admin['type'] = 'new_customer_admin';
                    $to_admin['to'] = $voodoo_config['voodoo_new_customer_admin_mobile'];
                    $to_admin['message'] = $admin_template;
                    $this->sendVsms($to_admin);
                }
                /*Send to Costumer*/
                if ($voodoo_config['notify_new_customer'] == '1' && intval($voodoo_config['notify_new_customer'])) {
                    $costumer_template = str_replace(array('[ID]','[first_name]','[last_name]','[username]','[email_address]','[registered_date]'), array($user->ID,$_REQUEST['billing_first_name'],$_REQUEST['billing_last_name'],$user->user_login,$user->user_email,$user->user_registered), $voodoo_config['new_customer_message']);
                    $to_costumer = array();
                    $to_costumer['type'] = 'new_customer';
                    $to_costumer['to'] = $_REQUEST['billing_phone'];
                    $to_costumer['message'] = $costumer_template;
                    $this->sendVsms($to_costumer);
                }
            }
        }
        function sendVsms($sendArray = array()){
            global $woocommerce;
            $sender_id = get_option('wp_voodoo_config');
            $url  = 'http://www.voodoosms.com/vapi/server/sendSMS?uid='.get_option('wp_voodoo_username').'&pass='.get_option('wp_voodoo_password').'&dest='.$sendArray['to'].'&orig='.urlencode(($sender_id['sender_id_'.$sendArray['type']]!='')?substr($sender_id['sender_id_'.$sendArray['type']],0,11):'VoodooSMS').'&msg='.urlencode(substr($sendArray["message"],0,918)).'&validity=1&platform='.urlencode('WordPress,WooCommerce').'&platform_version='.urlencode(get_bloginfo('version').','.$woocommerce->version);
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $result = curl_exec($ch);
            curl_close($ch);
        }
    }
    $vsms_ff =  new Vsms_config();
}
?>